﻿@model List<WebApp.ViewModels.Admin.TripAdminViewModel>
@{
    ViewBag.Title = "Trips";
}

<div class="panel panel-default">
    <div class="panel-heading"><h2>Trips</h2></div>
    <div class="panel-body">
        @Html.ActionLink("Create", "CreateTrip", "Admin")
    </div>
    @if (Model.Count == 0)
    {
        @:<div class="alert alert-danger" role="alert">No trips found.</div>
    }
    else
    {
        <table class="table">
            <thead>
            <th>ID</th>
            <th>Starts at</th>
            <th>Route id</th>
            <th>Train id</th>
            <th>Actions</th>
            </thead>
            <tbody>
            @foreach (var model in Model)
            {
                <tr>
                    <td>@Html.DisplayFor(t => model.Id)</td>
                    <td>@Html.DisplayFor(t => model.StartDateTime)</td>
                    <td>@Html.DisplayFor(t => model.RouteId)</td>
                    <td>@Html.DisplayFor(t => model.TrainId)</td>
                    <td>
                        @Html.ActionLink("Edit", "EditTrip", "Admin", new {id = model.Id}, null) |
                        @Html.ActionLink("Delete", "DeleteTrip", "Admin", new {id = model.Id}, null)
                    </td>
                </tr>
            }
            </tbody>
        </table>
    }
</div>